## org.hibernate.ejb.criteria
Class BasicPathUsageException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.ejb.criteria.BasicPathUsageException

All Implemented Interfaces:
  Serializable

    public class BasicPathUsageException

extends RuntimeException

Represents an incorrect usage of a basic path. Generally this means an attempt to de-reference a basic attribute path.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`BasicPathUsageException(String message, javax.persistence.metamodel.Attribute<?,?> attribute)` Construct the usage exception.
`BasicPathUsageException(String message, Throwable cause, javax.persistence.metamodel.Attribute<?,?> attribute)` Construct the usage exception.

Method Summary
`javax.persistence.metamodel.Attribute<?,?>` `getAttribute()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasicPathUsageException

    public BasicPathUsageException(String message,
                                   javax.persistence.metamodel.Attribute<?,?> attribute)

  Construct the usage exception.

  Parameters:
    `message` - An error message describing the incorrect usage.
    `attribute` - The basic attribute involved.

### BasicPathUsageException

    public BasicPathUsageException(String message,
                                   Throwable cause,
                                   javax.persistence.metamodel.Attribute<?,?> attribute)

  Construct the usage exception.

  Parameters:
    `message` - An error message describing the incorrect usage.
    `cause` - An underlying cause.
    `attribute` - The basic attribute involved.

Method Detail

### getAttribute

    public javax.persistence.metamodel.Attribute<?,?> getAttribute()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.